Gir is an optimizing brainfuck interpreter in Javascript.

Name
----
𒌋𒀜 gir (Sumerian) - n. kiln

License
-------
Everything in the repo is under Unlicense / CC0.

Status
------
Gir can parse, prettyprint, and run programs in brainfuck.
Gir supports following optimizations:

* Turn runs of +- or <> into one command
* Turn [-] or [+] into one command
* Add offsets to commands that modify tape, to reduce moving tape head
* Turn multiply loops into one command

Examples
--------
`ircbot.js` is an implementation of an IRC bot's brainfuck interpreter
function. Smaller examples are available in `api.md`

TODO
----
### gir.html
* Implement a UI

### General
* Get this on NPM?
* Move into subdirectories?
